Devuan bug report logs - #228
Long description truncated from packages when using 'apt cache search'

Package: amprolla; Maintainer for amprolla is Evilham <devuan@evilham.com>;

Reported by: Ottavio Caruso <ottavio2006-ujm2000@yahoo.com>

Date: Mon, 16 Jul 2018 17:33:01 UTC

Severity: normal

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#228; Package apt. (full text, mbox, link).


Acknowledgement sent to Ottavio Caruso <ottavio2006-ujm2000@yahoo.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ottavio Caruso <ottavio2006-ujm2000@yahoo.com>
To: submit@bugs.devuan.org
Subject: Long description truncated from packages when using 'apt cache search'
Date: Mon, 16 Jul 2018 18:23:16 +0100
Package: apt

Version: 1.0.9.8.4

As described here:
https://git.devuan.org/devuan/devuan-project/issues/75

and here:
https://dev1galaxy.org/viewtopic.php?id=2231

it seems most packages (most likely only those imported straight from
Debian) have the long description truncated.

Example: on a Debian Jessie system:

$ apt-cache search keyer
tlf - console based ham radio contest logger
tucnak2 - VHF/UHF/SHF Hamradio contest log version 2
$

On a Devuan Jessie system:

$ apt-cache search keyer
$

In which case the user will miss valuable information.

Regards

-- 
Ottavio Caruso


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#228; Package apt. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #10 received at 228@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 228@bugs.devuan.org
Subject: known
Date: Mon, 16 Jul 2018 19:47:23 +0200
Hi,

this is known, and is due to the fact that package descriptions are
now mwintained in separate Translation files. This should be fixed in
the future, by adding support fot Translations in amprolla3.


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#228; Package apt. (full text, mbox, link).


Acknowledgement sent to Ben Klein <shacklein@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #15 received at 228@bugs.devuan.org (full text, mbox, reply):

From: Ben Klein <shacklein@gmail.com>
To: 228@bugs.devuan.org
Subject: Still buggy
Date: Fri, 12 Oct 2018 11:42:43 +1100
[Message part 1 (text/plain, inline)]
This has been "known" since before it was reported back on 16 July. It's
been 3 months since then. Is there any chance of getting this fixed soon?
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#228; Package apt. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #20 received at 228@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 228@bugs.devuan.org
Subject: we are looking into that
Date: Fri, 12 Oct 2018 11:25:12 +0200
[Message part 1 (text/plain, inline)]
Yes, it has been known for at least three years, and we knew it was
not an immediate priority. As I said before, we will be working on it
ASAP. Any help with that will be much appreciated (and might actually
help closing the bug report sooner).

Regards

KatolaZ
[signature.asc (application/pgp-signature, inline)]

bug reassigned from package 'apt' to 'amprolla'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 26 Jan 2020 18:18:01 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 07 Sep 2020 11:18:02 GMT) (full text, mbox, link).


Notification sent to Ottavio Caruso <ottavio2006-ujm2000@yahoo.com>:
bug acknowledged by developer. (Mon, 07 Sep 2020 11:18:04 GMT) (full text, mbox, link).


Message #27 received at 228-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Ottavio Caruso <ottavio2006-ujm2000@yahoo.com>, 228-done@bugs.devuan.org
Cc: devuan-dev@lists.dyne.org, dng@lists.dyne.org
Subject: Re: bug#228: Long description truncated from packages when using 'apt cache search'
Date: Mon, 7 Sep 2020 12:02:38 +0100
Thanks for your patience.

This issue is now resolved in the amprolla instance serving
pkgmaster.devuan.org and the round-robin mirrors (deb.devuan.org) which derive
from it.

packages.devuan.org is deprecated and will be decommissioned very soon so its
amprolla instance has not been updated.

Ensure you are using deb.devuan.org in your sources.list to get long package
descriptions.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 23 05:15:00 2020;